#!/usr/bin/python3
import tensorflow as tf
import helper
import os

with tf.Session() as sess:

    print("\n#######################\n")

    graph=tf.get_default_graph()

    saver = tf.train.import_meta_graph('./saved_model/segmentation_model.ckpt.meta')
    saver.restore(sess, tf.train.latest_checkpoint('./saved_model'))

    # get input and output tensors
    input_image = tf.get_collection('input')[0]
    logits = tf.get_collection('output')[0]

    num_classes = 2
    image_shape = (256, 320)
    data_dir = os.path.abspath('data')
    runs_dir = os.path.abspath('runs')
    keep_prob = graph.get_tensor_by_name("keep_prob:0")

    helper.save_inference_samples(runs_dir, data_dir, sess, image_shape, logits, keep_prob, input_image)

    print("Prediction done.")
